@font-face {
    font-family: 'OpenSans';
    src: url('../font/OpenSans.ttf') format('truetype')
}
html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    /*font-size: 16px;*/
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
    margin-bottom: 60px;
    font-family: 'OpenSans', 'Segoe UI';
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.table-header-lf {
    background: #3A475B;
    color: #fff;
    border-color: #D0D0D0;
    font-size: 13px;
    font-weight: normal;
}

.table-header-lf th {
    padding: .7rem .7rem;
    font-weight: normal;
}

.page-item .page-link {
    color: #000000;
    background-color: white;
    border-color: #D9D9D9;
    font-size: 13px;
}

.page-item.active .page-link {
    background-color: #333333;
    border-color: #D9D9D9;
    color: white;
}

.page-item .page-link:hover {
    border-color: #333333;
}

.required::after {
    content: ' *';
    color: red;
}
.error{
    color: red;
}

.lf-label{
    font-weight: 600;
    margin-bottom: 0;
}

.lf-readonly {
    background-color: #E9ECEF;
    border-radius: .3rem;
    padding: .25rem .5rem;
    min-height: 2rem;
}

.fs-sm{
    font-size: 0.875rem !important;
}

.risk-tolerable {
    background-color: #78BE43 !important;
}
.risk-moderate {
    background-color: gold !important;
}
.risk-substantial {
    background-color: #FFC107 !important;
}
.risk-intolerable {
    background-color: #DC3545 !important;
}

.status-circle {
    height: 1em;
    width: 1em;
    border-radius: 50%;
    display: inline-block;
}
.status-inital {
    background-color: #808080;
}

.status-inprocess {
    background-color: #4285F4;
}

.status-ack {
    background-color: #FBBC05;
}

.status-closed {
    background-color: #34A853;
}

.action-card {
    transition: all 0.3s ease;
    border-left: 4px solid transparent;
}

.action-card-inital {
    border-left-color: #4285F4 !important;
}
.action-inital {
    color: #FFF;
    background-color: #4285F4;
    border-color: #4285F4
}

.action-card-sendback {
    border-left-color: #F59E0B !important;
}
.action-sendback {
    color: #FFF;
    background-color: #F59E0B;
    border-color: #F59E0B
}

.action-card-cancel {
    border-left-color: #6B7280 !important;
}
.action-cancel {
    color: #FFF;
    background-color: #6B7280;
    border-color: #6B7280
}

.action-card-resolved {
    border-left-color: #34D399 !important;
}
.action-resolved {
    color: #FFF;
    background-color: #34D399;
    border-color: #34D399
}

.action-card-reject {
    border-left-color: #EF4444 !important;
}
.action-reject {
    color: #FFF;
    background-color: #EF4444;
    border-color: #EF4444
}

.action-card-closed {
    border-left-color: #34A853 !important;
}
.action-closed {
    color: #FFF;
    background-color: #34A853;
    border-color: #34A853
}

.action-status-inital {
    background-color: #4285F4;
}

.action-status-sendback {
    background-color: #F59E0B;
}

.action-status-cancel {
    background-color: #6B7280;
}

.action-status-resolved {
    background-color: #34D399;
}

.action-status-reject {
    background-color: #EF4444;
}

.action-status-closed {
    background-color: #34A853;
}

 
.form-check-input.toggle-switch {
    display: none;
}

 
.form-check-label.toggle-switch-label {
    position: relative;
    display: inline-block;
    width: 50px;  
    height: 24px;  
    cursor: pointer;
    background-color: #dee2e6;  
    border-radius: 24px;  
    transition: background-color 0.3s ease;
}

 
.form-check-label.toggle-switch-label::after {
    content: '';
    position: absolute;
    width: 20px;  
    height: 20px;  
    border-radius: 50%;  
    background-color: white;
    top: 2px;
    left: 2px;
    transition: transform 0.3s ease;
}


.form-check-input.toggle-switch:checked + .toggle-switch-label {
    background-color: var(--primary-color);
}

  
.form-check-input.toggle-switch:checked + .toggle-switch-label::after {
    transform: translateX(26px);  
}

 
.form-check-input.toggle-switch:disabled + .toggle-switch-label {
    opacity: 0.5;
    cursor: not-allowed;
}

.search-dropdown-container {
    position: relative;
}

.dropdown-search-menu {
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    border-radius: 0 0 0.375rem 0.375rem !important;
    border-top: 0;
    position: absolute;
    z-index: 1050;
    background-color: white;
}

.dropdown-item:hover {
    background-color: #0d6efd;
    color: white !important;
}

.no-result {
    padding: 0.5rem 1rem;
    color: #6c757d;
}

.flexButton{
    flex:0 0 auto !important;
}